Subject: Re: [PATCH v2 2/3] mpc82xx: Embedded Planet EP8248E support

From: Scott Wood <[email-masked]>
Date: Mon, 17 Dec 2007 09:18:13 -0600

David Gibson wrote:
> As I think I said about another tree, this mdio-under-bcsr arrangement
> is pretty strange.  What's going on here.

As I answered then, it's just the way the hardware is.  I didn't design 
it. :-P

>> +	soc@f0000000 {
>> +		#address-cells = <1>;
>> +		#size-cells = <1>;
>> +		device_type = "soc";
> Ditch the device_type.

No, it's used by the bootwrapper.  I'll get rid of it if you want to 
write a find_node_by_compatible() function. :-)

-Scott